TemplatesHandler (Java SE 26 & JDK 26)
Description: declaration: module: java.xml, package: javax.xml.transform.sax, interface: TemplatesHandler
Keywords: javax.xml.transform.sax.TemplatesHandler interface

# Interface TemplatesHandler

All Superinterfaces:
  `ContentHandler`

public interface TemplatesHandler extends ContentHandler
A SAX ContentHandler that may be used to process SAX parse events (parsing transformation instructions) into a Templates object.

Note that TemplatesHandler does not need to implement LexicalHandler.

Since:
  1.4

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getSystemId()`
  Get the base ID (URI or system ID) from where relative URLs will be resolved.
  `Templates`
  `getTemplates()`
  When a TemplatesHandler object is used as a ContentHandler for the parsing of transformation instructions, it creates a Templates object, which the caller can get once the SAX events have been completed.
  `void`
  `setSystemId(String systemID)`
  Set the base ID (URI or system ID) for the Templates object created by this builder.

  ### Methods declared in interface ContentHandler

  `characters, declaration, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`
  Modifier and Type
  Method
  Description
  `void`
  `characters(char[] ch, int start, int length)`
  Receive notification of character data.
  `default void`
  `declaration(String version, String encoding, String standalone)`
  Receives notification of the XML declaration.
  `void`
  `endDocument()`
  Receive notification of the end of a document.
  `void`
  `endElement(String uri, String localName, String qName)`
  Receive notification of the end of an element.
  `void`
  `endPrefixMapping(String prefix)`
  End the scope of a prefix-URI mapping.
  `void`
  `ignorableWhitespace(char[] ch, int start, int length)`
  Receive notification of ignorable whitespace in element content.
  `void`
  `processingInstruction(String target, String data)`
  Receive notification of a processing instruction.
  `void`
  `setDocumentLocator(Locator locator)`
  Receive an object for locating the origin of SAX document events.
  `void`
  `skippedEntity(String name)`
  Receive notification of a skipped entity.
  `void`
  `startDocument()`
  Receive notification of the beginning of a document.
  `void`
  `startElement(String uri, String localName, String qName, Attributes atts)`
  Receive notification of the beginning of an element.
  `void`
  `startPrefixMapping(String prefix, String uri)`
  Begin the scope of a prefix-URI Namespace mapping.

- ## Method Details

  - ### getTemplates

    Templates getTemplates()
    When a TemplatesHandler object is used as a ContentHandler for the parsing of transformation instructions, it creates a Templates object, which the caller can get once the SAX events have been completed.
    Returns:
      The Templates object that was created during the SAX event process, or null if no Templates object has been created.

  - ### setSystemId

    void setSystemId(String systemID)
    Set the base ID (URI or system ID) for the Templates object created by this builder. This must be set in order to resolve relative URIs in the stylesheet. This must be called before the startDocument event.
    Parameters:
      `systemID` - Base URI for this stylesheet.

  - ### getSystemId

    String getSystemId()
    Get the base ID (URI or system ID) from where relative URLs will be resolved.
    Returns:
      The systemID that was set with `setSystemId(String)`.